Subject: Re: bug#36725: 26.1; Emacs can't connect to gnu elpa

From: Robert Pluim <[email-masked]>
Date: Fri, 19 Jul 2019 10:45:50 +0200

>>>>> On Thu, 18 Jul 2019 19:49:39 -0400, Noam Postavsky <[email-masked]> said:

    Noam> Lennard Henze <[email-masked]> writes:
    >> Trying to use "use-package" to install evil-mode. use-package showed:
    >> cant access: https://elpa.gnu.org/packages/undo-tree.html :Bad request

    >> on my os (5.2.1-arch1-1-ARCH). First had emacs 26.2, than downgraded to
    >> 26.1 bug was in both versions.

    Noam> Does (setq gnutls-algorithm-priority "NORMAL:-VERS-TLS1.3") help?  If
    Noam> yes, this is likely Bug#34341 (should already be fixed already in
    Noam> emacs-26, and the 26.2.90 pretest).

elpa.gnu.org uses TLS1.2, not TLS1.3. But emacs-27 has a bunch of
changes in its TLS handling that might improve matters.

Robert